Create or update campaign customer metadata
curl --request POST \
--url https://api.pocketflows.com/campaigns/{id}/customer_metadatas/{customer_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {}
}'import requests
url = "https://api.pocketflows.com/campaigns/{id}/customer_metadatas/{customer_id}"
payload = { "metadata": {} }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {}})
};
fetch('https://api.pocketflows.com/campaigns/{id}/customer_metadatas/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customer": "<string>",
"metadata": {},
"created_at": "<string>",
"updated_at": "<string>"
}Campaign customer metadatas
Create or update campaign customer metadata
POST
/
campaigns
/
{id}
/
customer_metadatas
/
{customer_id}
Create or update campaign customer metadata
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the campaign
The ID of the customer
Body
application/json
The metadata to associate with this campaign-customer pair
Response
200 - application/json
The created or updated CampaignCustomerMetadata object
⌘I